DOMWriter (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.catalina.util

## Class DOMWriter

- java.lang.Object
- - org.apache.catalina.util.DOMWriter

-     public class DOMWriter
      extends java.lang.Object

  A sample DOM writer. This sample program illustrates how to traverse a DOM tree in order to print a document that is parsed.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `canonical` | Deprecated. Will be made private in Tomcat 9.
    `protected java.io.PrintWriter` | `out` | Deprecated. Will be made private in Tomcat 9.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMWriter​(java.io.Writer writer)` |
    `DOMWriter​(java.io.Writer writer, boolean canonical)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getWriterEncoding()` | Deprecated. Unused.
    `protected java.lang.String` | `normalize​(java.lang.String s)` | Deprecated. Will be made private in Tomcat 9.
    `void` | `print​(org.w3c.dom.Node node)` | Prints the specified node, recursively.
    `protected org.w3c.dom.Attr[]` | `sortAttributes​(org.w3c.dom.NamedNodeMap attrs)` | Deprecated. Will be made private in Tomcat 9.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### out

          @Deprecated
          protected final java.io.PrintWriter out

      Deprecated.
      Will be made private in Tomcat 9.
      Print writer.

    - #### canonical

          @Deprecated
          protected final boolean canonical

      Deprecated.
      Will be made private in Tomcat 9.
      Canonical output.

  - ### Constructor Detail

    - #### DOMWriter

          public DOMWriter​(java.io.Writer writer)

    - #### DOMWriter

          @Deprecated
          public DOMWriter​(java.io.Writer writer,
                           boolean canonical)

      Deprecated.

  - ### Method Detail

    - #### getWriterEncoding

          @Deprecated
          public static java.lang.String getWriterEncoding()

      Deprecated.
      Unused. Will be removed in Tomcat 9.
      Returns:
        Always `UTF-8`

    - #### print

          public void print​(org.w3c.dom.Node node)

      Prints the specified node, recursively.
      Parameters:
        `node` - The node to output

    - #### sortAttributes

          @Deprecated
          protected org.w3c.dom.Attr[] sortAttributes​(org.w3c.dom.NamedNodeMap attrs)

      Deprecated.
      Will be made private in Tomcat 9.
      Returns a sorted list of attributes.
      Parameters:
        `attrs` - The map to sort
      Returns:
        a sorted attribute array

    - #### normalize

          @Deprecated
          protected java.lang.String normalize​(java.lang.String s)

      Deprecated.
      Will be made private in Tomcat 9.
      Normalizes the given string.
      Parameters:
        `s` - The string to escape
      Returns:
        the escaped string